use newton_cli::{cli::NewtonCli, dotenv};

fn main() {
    rustls::crypto::ring::default_provider()
        .install_default()
        .expect("Failed to install rustls crypto provider");

    let _ = dotenv::init();
    if let Err(err) = NewtonCli::parse_args().run() {
        eprintln!("Error: {err:?}");
        std::process::exit(1);
    }
}
